你的位置:首页 > 信息动态 > 新闻中心
信息动态
联系我们

解决zun docker vif_type(binding_failed) is not supported.A binding script for this type can‘t be found

2021-11-5 11:00:03

ERROR zun.compute.manager [req-dfc531d3-2d8f-4274-b542-31ff6191bafc - - - - -] Error occurred while calli
ng Docker start API: Docker internal error: 500 Server Error for http+docker://localhost/v1.26/containers/0e64b90b3a2573ed8443c756e9cd5708b6a350477a1cfd951e0f8e1d2a868f74/start: Internal Server Error (“failed to create endpoint zun-a78b3324-daa7-4a22-bd2e-6de3afdb263d on network b0a1259f-5e93-42c9-a5b1-35de953948b6: NetworkDriver.CreateEndpoint: vif_type(binding_failed) is not supported. A binding script for this type can’t be found”).: zun.common.exception.DockerError: Docker internal error: 500 Server Error for http+docker://localhost/v1.26/containers/0e64b90b3a2573ed8443c756e9cd5708b6a350477a1cfd951e0f8e1d2a868f74/start: Internal Server Error (“failed to create endpoint zun-a78b3324-daa7-4a22-bd2e-6de3afdb263d on network b0a1259f-5e93-42c9-a5b1-35de953948b6: NetworkDriver.CreateEndpoint: vif_type(binding_failed) is not supported. A binding script for this type can’t be found”).

2021-11-03 14:09:11.576 25350 WARNING zun.compute.manager [req-848bf2ff-fec3-4ec1-9c5b-dd17ac59873a 99f6d818057e48e280148660e0055328 45
3829f1a4ef47e6aa704bff8308e7ed default - -] The input tag is different from the tag in tar2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager [req-e38ccd67-7502-4684-ba96-c23a222c25d7 - - - - -] Unexpected exception: Unix
HTTPConnectionPool(host=‘localhost’, port=None): Read timed out. (read timeout=60): requests.exceptions.ReadTimeout: UnixHTTPConnectionPool(host=‘localhost’, port=None): Read timed out. (read timeout=60)2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager Traceback (most recent call last):
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py”, line
445, in _make_request2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager six.raise_from(e, None)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “”, line 3, in raise_from
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py”, line
440, in _make_request2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager httplib_response = conn.getresponse()
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/lib64/python3.6/http/client.py”, line 1346, in getresponse
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager response.begin()
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/lib64/python3.6/http/client.py”, line 307, in begin
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager version, status, reason = self._read_status()
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/lib64/python3.6/http/client.py”, line 268, in _read_status
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager line = str(self.fp.readline(_MAXLINE + 1), “iso-8859-1”)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/lib64/python3.6/socket.py”, line 586, in readinto
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager return self._sock.recv_into(b)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/eventlet/greenio/base.py”, line
373, in recv_into2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager return self._recv_loop(self.fd.recv_into, 0, buffer, nbytes, flags)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/eventlet/greenio/base.py”, line
361, in _recv_loop2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager self._read_trampoline()
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/eventlet/greenio/base.py”, line
333, in _read_trampoline2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager timeout_exc=socket_timeout(‘timed out’))
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/eventlet/greenio/base.py”, line
210, in _trampoline2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager mark_as_closed=self._mark_as_closed)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/eventlet/hubs/init.py”, line
159, in trampoline2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager return hub.switch()
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/eventlet/hubs/hub.py”, line 313,
in switch2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager return self.greenlet.switch()
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager socket.timeout: timed out
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager During handling of the above exception, another exception occurred:
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager Traceback (most recent call last):
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/requests/adapters.py”, line 449,
in send2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager timeout=timeout
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py”, line
756, in urlopen2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/urllib3/util/retry.py”, line 532
, in increment2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager raise six.reraise(type(error), error, _stacktrace)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/urllib3/packages/six.py”, line 7
70, in reraise2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager raise value
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py”, line
706, in urlopen2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager chunked=chunked,
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py”, line
447, in _make_request2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py”, line
337, in _raise_timeout2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager self, url, “Read timed out. (read timeout=%s)” % timeout_value
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager urllib3.exceptions.ReadTimeoutError: UnixHTTPConnectionPool(host=‘localhost’, p
ort=None): Read timed out. (read timeout=60)2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager During handling of the above exception, another exception occurred:
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager Traceback (most recent call last):
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/zun/compute/manager.py”, line 37
6, in _do_container_create_base2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager requested_volumes)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/zun/container/docker/driver.py”,
line 339, in create2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager response = docker.create_container(image_repo, **kwargs)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/docker/api/container.py”, line 4
30, in create_container2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager return self.create_container_from_config(config, name)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/docker/api/container.py”, line 4
40, in create_container_from_config2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager res = self._post_json(u, data=config, params=params)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/docker/api/client.py”, line 296,
in _post_json2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager return self._post(url, data=json.dumps(data2), **kwargs)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/docker/utils/decorators.py”, lin
e 46, in inner2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager return f(self, *args, **kwargs)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/docker/api/client.py”, line 233,
in _post2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager return self.post(url, **self._set_request_timeout(kwargs))
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/requests/sessions.py”, line 590,
in post2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager return self.request(‘POST’, url, data=data, json=json, **kwargs)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/requests/sessions.py”, line 542,
in request2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager resp = self.send(prep, **send_kwargs)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/requests/sessions.py”, line 655,
in send2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager r = adapter.send(request, **kwargs)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager File “/usr/local/lib/python3.6/site-packages/requests/adapters.py”, line 529,
in send2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager raise ReadTimeout(e, request=request)
2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager requests.exceptions.ReadTimeout: UnixHTTPConnectionPool(host=‘localhost’, port=
None): Read timed out. (read timeout=60)2021-11-03 14:10:15.124 25350 ERROR zun.compute.manager


解决方法:

chmod 777 /var/run/openvswitch/db.sock
systemctl restart kuryr-libnetwork
chmod 777 /var/run/docker.sock
systemctl daemon-reload
systemctl restart docker
systemctl restart zun-compute
systemctl restart neutron-openvswitch-agent

kuryr.conf 配置文件样例:

[DEFAULT]
bindir = /usr/local/libexec/kuryr
capability_scope = global
process_external_connectivity = False
log_dir = /var/log/kuryr/
log_file = kuryr-server.log
#debug = True

[neutron]
www_authenticate_uri = http://controller_node_ip:5000
auth_url = http://controller_node_ip:5000
username = kuryr
user_domain_name = default
password = kuryr
project_name = services
project_domain_name = default
auth_type = password
memcached_servers = controller_node_ip:11211

万事皆可谈~